"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBlockChildren = void 0;
const getBlockChildren = async (notionClient, block_id, totalPage) => {
    try {
        let result = [];
        let pageCount = 0;
        let start_cursor = undefined;
        do {
            const response = (await notionClient.blocks.children.list({
                start_cursor: start_cursor,
                block_id: block_id,
            }));
            result.push(...response.results);
            start_cursor = response === null || response === void 0 ? void 0 : response.next_cursor;
            pageCount += 1;
        } while (start_cursor != null &&
            (totalPage == null || pageCount < totalPage));
        return result;
    }
    catch (e) {
        console.log(e);
        return [];
    }
};
exports.getBlockChildren = getBlockChildren;
//# sourceMappingURL=notion.js.map